spring:
  application:
    name: cridge
  main:
    web-application-type: none
  activemq:
    brokerUrl: tcp://localhost:61616?jms.watchTopicAdvisories=false
    user: artemis
    password: artemis
    pool:
      enabled: true
      max-connections: 100
    packages:
      trust-all: true
  autoconfigure.exclude: org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration

server:
  port: 0
  
   
logging:
  level:
    org.etsi.osl.cridge: DEBUG
    root: INFO
    org.springframework: INFO
    org.apache.camel: INFO 
    reactor.netty.tcp.TcpClient: INFO 
    reactor.netty.http.client.HttpClient: INFO 
  pattern:
    console: "%d{HH:mm:ss.SSS} [%t] %-5level %logger{36} - %msg%n"
    file: "%d %p %c{1.} [%t] %m%n"
    

CATALOG_ADD_RESOURCE: "jms:queue:CATALOG.ADD.RESOURCE"
CATALOG_UPD_RESOURCE: "jms:queue:CATALOG.UPD.RESOURCE"
CATALOG_UPDADD_RESOURCE: "jms:queue:CATALOG.UPDADD.RESOURCE"
CATALOG_GET_RESOURCE_BY_ID: "jms:queue:CATALOG.GET.RESOURCE"
CATALOG_ADD_RESOURCESPEC: "jms:queue:CATALOG.ADD.RESOURCESPEC"
CATALOG_UPD_RESOURCESPEC: "jms:queue:CATALOG.UPD.RESOURCESPEC"
CATALOG_UPDADD_RESOURCESPEC: "jms:queue:CATALOG.UPDADD.RESOURCESPEC"
CATALOG_GET_RESOURCESPEC_BY_ID: "jms:queue:CATALOG.GET.RESOURCESPEC_BY_ID"
CATALOG_GET_RESOURCESPEC_BY_NAME_CATEGORY: "jms:queue:CATALOG.GET.RESOURCESPEC_BY_NAME_CATEGORY"


#CRD ACTIONS
CRD_DEPLOY_CR_REQ: "jms:queue:CRD.DEPLOY.CR_REQ"
CRD_DELETE_CR_REQ: "jms:queue:CRD.DELETE.CR_REQ"
CRD_PATCH_CR_REQ: "jms:queue:CRD.PATCH.CR_REQ"